package com.ruoyi.project.sems.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 定点测厚对象 t_measure_thickness
 *
 * @author ruoyi
 * @date 2021-07-07
 */
@TableName("T_MEASURE_THICKNESS")
public class TMeasureThickness extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识ID */
    private Long id;

    /** 装置名称 */
    @Excel(name = "装置名称")
    private String plantCode;

    /** 单元名称 */
    @Excel(name = "单元名称")
    private String unitCode;
    @Excel(name = "腐蚀回路图号")
    private String loopNo;
    /** 设备位号 */
    @Excel(name = "单位内编号")
    private String tagno;

    /** 状态 */
    @Excel(name = "跟踪状态",dictType = "spec_measure_status")
    private Long status;

    /** 测厚部位CML */
    @Excel(name = "测厚部位CML")
    private String position;

    /** 创建时间 */
    private Date createdate;

    /** 修改人 */
    private Long updaterCode;

    /** 修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    private Date updatedate;

    /** 部门编号 */
    private Long deptId;

    /** 检测编号 */
    @Excel(name = "检测编号")
    private String measureNo;


    /** 设备/管线名称 */
    @Excel(name = "设备/管线名称")
    private String equipmentName;

    /** 设备类型 */
    @Excel(name = "设备类型")
    private String devType;



    /** 材质 */
    @Excel(name = "材质")
    private String material;

    /** 名义壁厚 */
    @Excel(name = "公称壁厚(mm)")
    private String nominalTickness;

    /** 最小允许壁厚 */
    @Excel(name = "最小允许壁厚(mm)")
    private String thicknessMin;

    /** 短期腐蚀速率 */
    @Excel(name = "短期腐蚀速率(mm/year)")
    private String stCorrosion;

    /** 长期腐蚀速率 */
    @Excel(name = "长期腐蚀速率(mm/year)")
    private String ltCorrosion;

    /** 测厚周期 */
    @Excel(name = "测厚周期(月)")
    private String measureCycle;
    /**
     * 首次检测日期
     */
    @TableField(exist = false)
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @Excel(name = "首次测厚日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date firstMeasureDate;

    /**
     * 最近检测日期
     */
    @TableField(exist = false)
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @Excel(name = "最近测厚日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date newMeasureDate;



    /**
     * 下次检测日期
     */
    @TableField(exist = false)
    //@Excel(name = "下次测厚日期", width = 30, dateFormat = "yyyy-MM-dd")
    private String nextMeasureDate;

    /** 预估寿命 */
    @Excel(name = "预估剩余寿命(year)")
    private String estRemain;

    /** 时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "下次测厚日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date nextWarnDate;

    /** 检测方法 */
    @Excel(name = "检测方法",dictType = "spec_measure_method")
    private String inspectionMethod;

    /** 腐蚀裕度 */
    @Excel(name = "腐蚀裕度(mm)")
    private String corAllowance;

    /** 原始壁厚 */
    @Excel(name = "原始壁厚(mm)")
    private String originalThickness;

    /** 介质 */
    @Excel(name = "介质")
    private String medium;

    /** 设计压力 */
    @Excel(name = "设计压力")
    private String desPressure;

    /** 设计温度 */
    @Excel(name = "设计温度")
    private String desTemp;

    /** 压力 */
    @Excel(name = "压力(MPa)")
    private String pressure;

    /** 规格 */
    @Excel(name = "规格")
    private String specification;

    /** 流速 */
    @Excel(name = "流速(m/s)")
    private String flowRate;

    /** 温度 */
    @Excel(name = "温度(℃)")
    private String temperature;

    /** 腐蚀类型 */
    @Excel(name = "腐蚀类型")
    private String corrosionType;

    /** 腐蚀照片 */
    //@Excel(name = "腐蚀照片")
    private String photo;

    /** 原因分析 */
    @Excel(name = "原因分析")
    private String analysis;

    /** 治理方法及依据 */
    @Excel(name = "治理方法及依据")
    private String methodCause;

    /** 效果跟踪 */
    @Excel(name = "效果跟踪")
    private String effectTracing;

    /** 提出人 */
    @Excel(name = "提出人")
    private String raiser;

    /** 提出时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "提出时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date raiserDate;

    /** 状态 0 ：正常 ；2：删除 */
    private Long delFlag;

    /** 腐蚀位置 */
    //@Excel(name = "腐蚀位置")
    private String locationUrl;

    /** 原因分析附件 */
    //@Excel(name = "原因分析附件")
    private String analysisUrl;

    /** 测厚趋势图 */
    //@Excel(name = "测厚趋势图")
    private String recordUrl;

    /** 其他检测方法内容 */
    @Excel(name = "其他检测方法内容")
    private String otherContent;

    /**
     * 检测方法UT
     */
    @TableField(exist = false)
    private Boolean methodUT;
    /**
     * 检测方法PEC
     */
    @TableField(exist = false)
    private Boolean methodPEC;
    /**
     * 检测方法RT
     */
    @TableField(exist = false)
    private Boolean methodRT;
    /**
     * 检测方法EMAT
     */
    @TableField(exist = false)
    private Boolean methodEMAT;
    /**
     * 检测方法其他
     */
    @TableField(exist = false)
    private Boolean methodOther;

    @TableField(exist = false)
    private Integer warnFlag;


    /** 记录人 */
    @Excel(name = "记录人")
    private String recorder;

    /** 记录时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "记录时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date recorderDate;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 是否发送过预警 */
    private Integer isSend;

    /** 安装日期 */

    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "安装日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date installDate;


    /** 测厚位置 */
    private String checkUrl;


    /** 单线图 */
    private String singleUrl;

    @TableField(exist = false)
    private String estRemainWarn;
    @TableField(exist = false)
    private String measureDateWarn;

    public Date getNextWarnDate() {
        return nextWarnDate;
    }

    public void setNextWarnDate(Date nextWarnDate) {
        this.nextWarnDate = nextWarnDate;
    }

    public Integer getWarnFlag() {
        return warnFlag;
    }

    public void setWarnFlag(Integer warnFlag) {
        this.warnFlag = warnFlag;
    }

    public String getMeasureNo() {
        return measureNo;
    }

    public void setMeasureNo(String measureNo) {
        this.measureNo = measureNo;
    }

    public Boolean getMethodUT() {
        return methodUT;
    }

    public void setMethodUT(Boolean methodUT) {
        this.methodUT = methodUT;
    }

    public Boolean getMethodPEC() {
        return methodPEC;
    }

    public void setMethodPEC(Boolean methodPEC) {
        this.methodPEC = methodPEC;
    }

    public Boolean getMethodRT() {
        return methodRT;
    }

    public void setMethodRT(Boolean methodRT) {
        this.methodRT = methodRT;
    }

    public Boolean getMethodEMAT() {
        return methodEMAT;
    }

    public void setMethodEMAT(Boolean methodEMAT) {
        this.methodEMAT = methodEMAT;
    }

    public Boolean getMethodOther() {
        return methodOther;
    }

    public void setMethodOther(Boolean methodOther) {
        this.methodOther = methodOther;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setPlantCode(String plantCode)
    {
        this.plantCode = plantCode;
    }

    public String getPlantCode()
    {
        return plantCode;
    }
    public void setUnitCode(String unitCode)
    {
        this.unitCode = unitCode;
    }

    public String getUnitCode()
    {
        return unitCode;
    }
    public void setTagno(String tagno)
    {
        this.tagno = tagno;
    }

    public String getTagno()
    {
        return tagno;
    }
    public void setStatus(Long status)
    {
        this.status = status;
    }

    public Long getStatus()
    {
        return status;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(Long updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public Long getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setPosition(String position)
    {
        this.position = position;
    }

    public String getPosition()
    {
        return position;
    }
    public void setRecorder(String recorder)
    {
        this.recorder = recorder;
    }

    public String getRecorder()
    {
        return recorder;
    }
    public void setRecorderDate(Date recorderDate)
    {
        this.recorderDate = recorderDate;
    }

    public Date getRecorderDate()
    {
        return recorderDate;
    }
    public void setEquipmentName(String equipmentName)
    {
        this.equipmentName = equipmentName;
    }

    public String getEquipmentName()
    {
        return equipmentName;
    }
    public void setMaterial(String material)
    {
        this.material = material;
    }

    public String getMaterial()
    {
        return material;
    }
    public void setCorAllowance(String corAllowance)
    {
        this.corAllowance = corAllowance;
    }

    public String getCorAllowance()
    {
        return corAllowance;
    }
    public void setOriginalThickness(String originalThickness)
    {
        this.originalThickness = originalThickness;
    }

    public String getOriginalThickness()
    {
        return originalThickness;
    }
    public void setMedium(String medium)
    {
        this.medium = medium;
    }

    public String getMedium()
    {
        return medium;
    }
    public void setPressure(String pressure)
    {
        this.pressure = pressure;
    }

    public String getPressure()
    {
        return pressure;
    }
    public void setSpecification(String specification)
    {
        this.specification = specification;
    }

    public String getSpecification()
    {
        return specification;
    }
    public void setFlowRate(String flowRate)
    {
        this.flowRate = flowRate;
    }

    public String getFlowRate()
    {
        return flowRate;
    }
    public void setTemperature(String temperature)
    {
        this.temperature = temperature;
    }

    public String getTemperature()
    {
        return temperature;
    }
    public void setCorrosionType(String corrosionType)
    {
        this.corrosionType = corrosionType;
    }

    public String getCorrosionType()
    {
        return corrosionType;
    }
    public void setInspectionMethod(String inspectionMethod)
    {
        this.inspectionMethod = inspectionMethod;
    }

    public String getInspectionMethod()
    {
        return inspectionMethod;
    }
    public void setPhoto(String photo)
    {
        this.photo = photo;
    }

    public String getPhoto()
    {
        return photo;
    }
    public void setAnalysis(String analysis)
    {
        this.analysis = analysis;
    }

    public String getAnalysis()
    {
        return analysis;
    }
    public void setNominalTickness(String nominalTickness)
    {
        this.nominalTickness = nominalTickness;
    }

    public String getNominalTickness()
    {
        return nominalTickness;
    }
    public void setThicknessMin(String thicknessMin)
    {
        this.thicknessMin = thicknessMin;
    }

    public String getThicknessMin()
    {
        return thicknessMin;
    }
    public void setStCorrosion(String stCorrosion)
    {
        this.stCorrosion = stCorrosion;
    }

    public String getStCorrosion()
    {
        return stCorrosion;
    }
    public void setLtCorrosion(String ltCorrosion)
    {
        this.ltCorrosion = ltCorrosion;
    }

    public String getLtCorrosion()
    {
        return ltCorrosion;
    }
    public void setEstRemain(String estRemain)
    {
        this.estRemain = estRemain;
    }

    public String getEstRemain()
    {
        return estRemain;
    }
    public void setMethodCause(String methodCause)
    {
        this.methodCause = methodCause;
    }

    public String getMethodCause()
    {
        return methodCause;
    }
    public void setEffectTracing(String effectTracing)
    {
        this.effectTracing = effectTracing;
    }

    public String getEffectTracing()
    {
        return effectTracing;
    }
    public void setRaiser(String raiser)
    {
        this.raiser = raiser;
    }

    public String getRaiser()
    {
        return raiser;
    }
    public void setRaiserDate(Date raiserDate)
    {
        this.raiserDate = raiserDate;
    }

    public Date getRaiserDate()
    {
        return raiserDate;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setLocationUrl(String locationUrl)
    {
        this.locationUrl = locationUrl;
    }

    public String getLocationUrl()
    {
        return locationUrl;
    }
    public void setAnalysisUrl(String analysisUrl)
    {
        this.analysisUrl = analysisUrl;
    }

    public String getAnalysisUrl()
    {
        return analysisUrl;
    }
    public void setMeasureCycle(String measureCycle)
    {
        this.measureCycle = measureCycle;
    }

    public String getMeasureCycle()
    {
        return measureCycle;
    }
    public void setRecordUrl(String recordUrl)
    {
        this.recordUrl = recordUrl;
    }

    public String getRecordUrl()
    {
        return recordUrl;
    }
    public void setOtherContent(String otherContent)
    {
        this.otherContent = otherContent;
    }

    public String getOtherContent()
    {
        return otherContent;
    }

    public Date getFirstMeasureDate() {
        return firstMeasureDate;
    }

    public void setFirstMeasureDate(Date firstMeasureDate) {
        this.firstMeasureDate = firstMeasureDate;
    }

    public Date getNewMeasureDate() {
        return newMeasureDate;
    }

    public void setNewMeasureDate(Date newMeasureDate) {
        this.newMeasureDate = newMeasureDate;
    }

    public String getNextMeasureDate() {
        return nextMeasureDate;
    }

    public void setNextMeasureDate(String nextMeasureDate) {
        this.nextMeasureDate = nextMeasureDate;
    }

    public Integer getIsSend() {
        return isSend;
    }

    public void setIsSend(Integer isSend) {
        this.isSend = isSend;
    }

    public String getLoopNo() {
        return loopNo;
    }

    public void setLoopNo(String loopNo) {
        this.loopNo = loopNo;
    }

    public Date getInstallDate() {
        return installDate;
    }

    public void setInstallDate(Date installDate) {
        this.installDate = installDate;
    }

    public String getCheckUrl() {
        return checkUrl;
    }

    public void setCheckUrl(String checkUrl) {
        this.checkUrl = checkUrl;
    }

    public String getSingleUrl() {
        return singleUrl;
    }

    public void setSingleUrl(String singleUrl) {
        this.singleUrl = singleUrl;
    }

    public String getEstRemainWarn() {
        return estRemainWarn;
    }

    public void setEstRemainWarn(String estRemainWarn) {
        this.estRemainWarn = estRemainWarn;
    }

    public String getMeasureDateWarn() {
        return measureDateWarn;
    }

    public void setMeasureDateWarn(String measureDateWarn) {
        this.measureDateWarn = measureDateWarn;
    }

    public String getDevType() {
        return devType;
    }

    public void setDevType(String devType) {
        this.devType = devType;
    }

    public String getDesPressure() {
        return desPressure;
    }

    public void setDesPressure(String desPressure) {
        this.desPressure = desPressure;
    }

    public String getDesTemp() {
        return desTemp;
    }

    public void setDesTemp(String desTemp) {
        this.desTemp = desTemp;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("plantCode", getPlantCode())
            .append("unitCode", getUnitCode())
            .append("tagno", getTagno())
            .append("status", getStatus())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("deptId", getDeptId())
            .append("remarks", getRemarks())
            .append("position", getPosition())
            .append("recorder", getRecorder())
            .append("recorderDate", getRecorderDate())
            .append("equipmentName", getEquipmentName())
            .append("material", getMaterial())
            .append("corAllowance", getCorAllowance())
            .append("originalThickness", getOriginalThickness())
            .append("medium", getMedium())
            .append("pressure", getPressure())
            .append("specification", getSpecification())
            .append("flowRate", getFlowRate())
            .append("temperature", getTemperature())
            .append("corrosionType", getCorrosionType())
            .append("inspectionMethod", getInspectionMethod())
            .append("photo", getPhoto())
            .append("analysis", getAnalysis())
            .append("nominalTickness", getNominalTickness())
            .append("thicknessMin", getThicknessMin())
            .append("stCorrosion", getStCorrosion())
            .append("ltCorrosion", getLtCorrosion())
            .append("estRemain", getEstRemain())
            .append("methodCause", getMethodCause())
            .append("effectTracing", getEffectTracing())
            .append("raiser", getRaiser())
            .append("raiserDate", getRaiserDate())
            .append("delFlag", getDelFlag())
            .append("locationUrl", getLocationUrl())
            .append("analysisUrl", getAnalysisUrl())
            .append("measureCycle", getMeasureCycle())
            .append("recordUrl", getRecordUrl())
            .append("otherContent", getOtherContent())
            .toString();
    }
}
